+ Post New Thread
Page 101 of 514 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 ... LastLast
Threads 2501 to 2525 of 12837

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 33,120
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 47,456
    18th Sep 2006 10:46 pm Go to last post
  1. [LISP] First time writing LISP routine... trying to rotate, move and scale

    Hi guys, Total newb here, did some reading in the tutorials area in how to write lisps and I'm having issues with it not working. I'm trying to start off really simple hence the rotate, move and...

    Started by chiimayred‎, 17th Jul 2013 02:46 pm
    lisp, lisp error
    • Replies: 6
    • Views: 2,745
    18th Jul 2013 06:02 pm Go to last post
  2. Question SSGET "W" with Filter?

    Hey Guys, Ive got this routine which is intended to erase everything visible which is of a colour determined by the user. (defun c:ec () (setq ecc (getint "\nEnter COLOUR of objects to ERASE :...

    Started by lamensterms‎, 17th Jul 2013 03:20 am
    filter, ssget, variable
    • Replies: 4
    • Views: 1,057
    18th Jul 2013 12:56 pm Go to last post
  3. Select associated objects a field autocad

    Hi guys, is there any command that performs the selection of objects associated with an object field? I'm using an excellent routine performed by Lee Mac to make the sum of texts. At the end of...

    Started by Luís Augusto‎, 6th Jul 2013 09:35 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 2,797
    18th Jul 2013 12:44 pm Go to last post
  4. Replace vl-sort with user selection order - Block Attribute Number Sequencing

    Below is attribute-numbering code from ASMI and modified by Fixo and pBe. Attached is the link to the original post, if anyone is interested:...

    Started by rayg11757‎, 16th Jul 2013 06:42 pm
    • Replies: 5
    • Views: 1,128
    18th Jul 2013 01:17 am Go to last post
  5. Function add/multiply lists

    Please help Lee Mac. I need a arguments function that add/multiply the lists. (setq (list (list a1 a2 a3 …) (list b1 b2 b3 …) (list c1 c2 c3 …) …)) (setq (list (list A1 A2 A3 …) (list B1 B2 B3 …)...

    Started by Kowal‎, 17th Jul 2013 01:57 pm
    • Replies: 3
    • Views: 462
    17th Jul 2013 03:01 pm Go to last post
  6. Making dimlinear associative

    I am trying to write a lisp routine that dimensions horizontal and vertical deviations from design: (defun c:ddxy () (setq p1 (getpoint "Surveyed point :")) (setq p2 (getpoint "Design point ...

    Started by robertbon‎, 17th Jul 2013 01:47 pm
    • Replies: 0
    • Views: 559
    17th Jul 2013 01:47 pm Go to last post
  7. How to store "lastpoint" to environment variable.

    Hello. I'm trying to come up with a simple one-line lisp routine for writing the information stored in lastpoint variable to my own defined environment variable. I tried this and it didn't work:...

    Started by xikes‎, 16th Jul 2013 08:14 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 899
    17th Jul 2013 08:56 am Go to last post
  8. Looking for a LISP routine that places points on all vertices of a polyline?

    Hello all.... I wanted to know if there's a LISP file that exist which places a point on each vertex of a pline or spline. Here's the scenario and end result my co-workers and I are dealing with: ...

    Started by tzframpton‎, 16th Jul 2013 07:31 pm
    • Replies: 3
    • Views: 648
    16th Jul 2013 11:15 pm Go to last post
  9. One lay different color objects so how can i change same color object to another lay

    Any idea have to change one layer to another layer any one color objects

    Started by 121madhu‎, 13th Jul 2013 09:20 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 1,034
    16th Jul 2013 05:20 pm Go to last post
  10. Running lisp command from DCL button

    Hiiiiii, So it's been a while since i wrote any code and I have hit, what is probably a very basic problem... (defun C:JHSSHATCH ( / SSHATCH ) (if (setq SSHATCH (ssget "_X" '((0 . "HATCH") )))...

    Started by monk‎, 16th Jul 2013 09:11 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,317
    16th Jul 2013 02:11 pm Go to last post
  11. Modification list

    Hi, I need a arguments function that modify the list. (setq (list (list 1 2 3 4 …) (list 1 1 2 2 …) (list 2 2 3 4 …) …)) Sublists are of the same length Example ‘((1 2 3 4) (6 5 4 3) (3 3 3 3))...

    Started by Kowal‎, 16th Jul 2013 12:29 pm
    • Replies: 2
    • Views: 348
    16th Jul 2013 12:45 pm Go to last post
  12. Toggle layer

    Hello Does anyone have an idea how to solve the following problem with Lisp? I have the following layers: wall wall dimension closet

    Started by martinle‎, 16th Jul 2013 09:32 am
    2 Pages
    1 2
    toggle layer
    • Replies: 10
    • Views: 773
    16th Jul 2013 11:21 am Go to last post
  13. Automate & batch process with ATTIN

    I am attempting to make a modified version of the ATTIN command in order to automate the process; removing user prompts, specifying file import location, and batch processing from a specified...

    Started by gekusei88‎, 12th Jul 2013 04:02 pm
    • Replies: 1
    • Views: 946
    15th Jul 2013 10:23 pm Go to last post
  14. i have multi hatch in drawing how to get batch area?

    i have multi hatch in drawing how to get batch area? suppose i have all hatch in separate layer each hatch have separate layer so i need to find out area by layer each layer separate please any lisp

    Started by afrazawan‎, 10th Jul 2013 07:15 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,603
    15th Jul 2013 08:47 pm Go to last post
  15. Handling in vla-get-area

    In this code (setq valor_area 0.0000) (setq sel (ssget "_x" (list '(0 . "HATCH")(cons 8 layer)))) (if (/= sel nil) (progn (setq i 0) (repeat (sslength sel) (setq entbh...

    Started by rodrigo_sjc_sp‎, 15th Jul 2013 03:09 pm
    handling in vla-get-area
    • Replies: 6
    • Views: 804
    15th Jul 2013 05:51 pm Go to last post
  16. How can I Learn AutoCAD .lisp

    I don’t know lisp coding I want learn lisp codeing please help me, where I find best lisp training programs and also all “CAD tutor” members guide me and teach me Thanks for all CAD...

    Started by 121madhu‎, 15th Jul 2013 05:36 am
    • Replies: 4
    • Views: 1,193
    15th Jul 2013 03:50 pm Go to last post
  17. How can i remove the .xlxs file from drawing

    Dear all I HAVE EXCEL FILE ATTACHED WITH MY DRAWING NOW I WANT TO REMOVE THAT LINK SO HOW CAN I DE-ATTACHED THAT ???

    Started by kamig‎, 14th Jul 2013 09:07 am
    • Replies: 3
    • Views: 561
    15th Jul 2013 11:21 am Go to last post
  18. Export all the dims and angle to Excel file or table in autocad

    Hi guys! Can anyone help me with a lisp please? I have a polygon. I want to export all the ID, length of sides (line, pline, spline, arc), angle taken of a polygon when i pick on them directly as...

    Started by hungeng‎, 13th Jul 2013 10:12 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,666
    15th Jul 2013 10:05 am Go to last post
  19. Select Layer text modify

    Any lisp have to increase or decrees text size to selective layer

    Started by 121madhu‎, 14th Jul 2013 06:54 am
    • Replies: 4
    • Views: 559
    15th Jul 2013 06:24 am Go to last post
  20. Area lisp file requires alteration

    Hi I wonder if someone could alter the attached area calculation lisp file. The existing calculation file asks for a room name, then produces the following text block Room Name Area: 18.00 m2...

    Started by s7v7n38‎, 14th Jul 2013 12:00 pm
    • Replies: 1
    • Views: 564
    15th Jul 2013 06:08 am Go to last post
  21. LSP to set multiple polygons direction to clockwise

    Hi guys, I have a bunch of DWG's with random polygons which have been collected for a mapping project in an anti clockwise direction. I need all the polygons to close off in a clockwise...

    Started by grouch19‎, 10th Jul 2013 11:05 pm
    • Replies: 7
    • Views: 927
    14th Jul 2013 02:22 am Go to last post
  22. [LISP] Adding value to input

    Hi, I want to be able to just type in the viewport scale i want. Manually in a active viewport i have to type 'Zoom' > 'Scale' > 1xp (1:1000). i allready got it 'lisped' that when i enter...

    Started by OMEGA-ThundeR‎, 11th Jul 2013 04:22 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 1,375
    13th Jul 2013 11:41 pm Go to last post
  23. update tool palettes

    I got a script to set automatic toolpalettes profiles but it doesn't work :S I gives this warning: ; error: Automation Error. Description was not provided. got the code from here...

    Started by CADkitt‎, 1st Feb 2011 02:42 pm
    • Replies: 3
    • Views: 1,870
    12th Jul 2013 10:30 pm Go to last post
  24. Cool Running bat file and reg file from lisp file??

    I have 2 reg file and bat file and i want run them from lisp code : something this: (runfile "c:/gggf/ytyt.reg") (runfile "c:/gggf/fdfd.bat")

    Started by hosyn‎, 11th Jul 2013 12:40 pm
    • Replies: 6
    • Views: 994
    12th Jul 2013 07:39 pm Go to last post
  25. Circular stretch

    Dear all, can any one tell me how to stretch the circular object or body in the polar direction for example draw the round bar 3/4 for the circle (270 Deg.) and draw the 10 hole equally spaced on...

    Started by jamildear4u‎, 11th Jul 2013 02:01 pm
    • Replies: 2
    • Views: 514
    12th Jul 2013 05:22 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts